package com.example.bpa.view.from;

import androidx.appcompat.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;

import com.example.bpa.R;
import com.example.bpa.db.QueryDB;
import com.example.bpa.db.mode.BPA_MATERIAL;
import com.example.bpa.db.mode.BPA_SILOS;
import com.example.bpa.helper.T;
import com.example.bpa.view.adapter.lsjy_adapter;
import com.example.bpa.view.adapter.wl_adapter;
import com.example.bpa.view.inteface.MyClickListener;
import com.example.bpa.view.mode.ResSilosMode;

import java.util.ArrayList;

/**
 * 流速校验
 */
public class lsjy_activity extends AppCompatActivity implements View.OnClickListener, MyClickListener {
    //region 变量
    /**
     * 返回按钮
     */
    ImageView gongneng_fanhui;
    /**
     * 标题设置
     */
    TextView gongneng_title;
    /**
     * 表格显示
     */
    ListView datatab;
    /**
     * 料仓数据
     */
    ArrayList<ResSilosMode> resSilosModes=new ArrayList<>();
    //endregion

    //region 私有函数
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_lsjy);
        Init();
        initEvents();
    }
    //endregion

    //region 公共函数

    /**
     * 初始化
     */
    private void Init(){
        gongneng_fanhui = this.findViewById(R.id.gongneng_fanhui);
        gongneng_title = this.findViewById(R.id.gongneng_title);
        datatab= this.findViewById(R.id.datatab);
        //通过Activity.getIntent()获取当前页面接收到的Intent。 getXxxExtra方法获取Intent传递过来的数据
        String msg=getIntent().getStringExtra("data");
        gongneng_title.setText(msg);
        Initdata();
    }

    /**
     * 初始化按钮事件
     */
    private void initEvents() {
        gongneng_fanhui.setOnClickListener(this);
    }

    /**
     * 初始化数据加载
     */
    public void Initdata()
    {
        try{
            resSilosModes= QueryDB.GetSilos();
            lsjy_adapter adapter = new lsjy_adapter(lsjy_activity.this, R.layout.lsjy_item, resSilosModes,this);
            datatab.setAdapter(adapter);
        }catch(Exception e){

        }
    }
    //endregion

    //region 点击事件
    /**
     * 本页面点击事件监听
     *
     * @param v
     */
    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.gongneng_fanhui://返回按钮
                this.finish();
                break;
        }
    }
    int k=404;
    /**
     * 接口方法，响应ListView按钮点击事件
     */
    @Override
    public void clickListener(View v,Object data) {
        switch (v.getId())
        {
            case R.id.button_item://校验
                k=k+1;
                T.show(this,((ResSilosMode)data).id);
                QueryDB.UpdateJYZ(((ResSilosMode)data).id,k);
                Initdata();
                break;
        }
    }
    //endregion
}